unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Spin, ExtCtrls, Imgbox;

type
  TForm1 = class(TForm)
    ImageBox1: TImageBox;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    CheckBox1: TCheckBox;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    SpinEdit2: TSpinEdit;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    RadioGroup3: TRadioGroup;
    Button1: TButton;
    ImageBox2: TImageBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    Label3: TLabel;
    procedure RadioGroup1Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure RadioGroup3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
 case RadioGroup1.ItemIndex of
  0: ImageBox1.Style := bsSingle;
  1: ImageBox1.Style := bsBackground;
 end;
 case RadioGroup1.ItemIndex of
  0: ImageBox2.Style := bsSingle;
  1: ImageBox2.Style := bsBackground;
 end;
 RadioGroup2.Enabled := RadioGroup1.ItemIndex = 0;
 SpinEdit1.Enabled := RadioGroup1.ItemIndex = 0;
 SpinEdit2.Enabled := RadioGroup1.ItemIndex = 0;
end;

procedure TForm1.RadioGroup2Click(Sender: TObject);
begin
 case RadioGroup2.ItemIndex of
  0: ImageBox1.SingleOptions := boDefault;
  1: ImageBox1.SingleOptions := boCenter;
  2: ImageBox1.SingleOptions := boStretch;
 end;
 case RadioGroup2.ItemIndex of
  0: ImageBox2.SingleOptions := boDefault;
  1: ImageBox2.SingleOptions := boCenter;
  2: ImageBox2.SingleOptions := boStretch;
 end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
 ImageBox1.Transparent := CheckBox1.Checked;
 ImageBox2.Transparent := CheckBox1.Checked;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
 ImageBox1.SingleLeft := SpinEdit1.Value;
 ImageBox2.SingleLeft := SpinEdit1.Value;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
 ImageBox1.SingleTop := SpinEdit2.Value;
 ImageBox2.SingleTop := SpinEdit2.Value;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
 ImageBox1.Blink := CheckBox2.Checked;
 ImageBox2.Blink := CheckBox2.Checked;
 CheckBox4.Enabled := not CheckBox2.Checked;
 CheckBox5.Enabled := not CheckBox2.Checked;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 Close;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
 ImageBox1.Border := CheckBox3.Checked;
 ImageBox2.Border := CheckBox3.Checked;
 RadioGroup3.Enabled := CheckBox3.Checked;
end;

procedure TForm1.RadioGroup3Click(Sender: TObject);
begin
 case RadioGroup3.ItemIndex of
  0: ImageBox1.BorderStyle := bsLowered;
  1: ImageBox1.BorderStyle := bsRaised;
 end;
 case RadioGroup3.ItemIndex of
  0: ImageBox2.BorderStyle := bsLowered;
  1: ImageBox2.BorderStyle := bsRaised;
 end;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
 ImageBox1.visible := CheckBox4.checked;
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
 ImageBox2.visible := CheckBox5.checked;
end;

end.
